<?php
/**
 * BannerTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CmsClient;

use PHPUnit\Framework\TestCase;

/**
 * BannerTest Class Doc Comment
 *
 * @category    Class
 * @description Banner
 * @package     Ensi\CmsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class BannerTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "Banner"
     */
    public function testBanner()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "desktop_image"
     */
    public function testPropertyDesktopImage()
    {
    }

    /**
     * Test attribute "tablet_image"
     */
    public function testPropertyTabletImage()
    {
    }

    /**
     * Test attribute "mobile_image"
     */
    public function testPropertyMobileImage()
    {
    }

    /**
     * Test attribute "button_id"
     */
    public function testPropertyButtonId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "active"
     */
    public function testPropertyActive()
    {
    }

    /**
     * Test attribute "url"
     */
    public function testPropertyUrl()
    {
    }

    /**
     * Test attribute "type_id"
     */
    public function testPropertyTypeId()
    {
    }

    /**
     * Test attribute "button"
     */
    public function testPropertyButton()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }
}
